Bug 461623 - qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: port_link_state = LS_DOWN.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-09-09 11:03 EDT by James Laska
Modified: 2013-09-02 02:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:22:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvv (11.14 KB, text/plain)
2008-09-09 11:03 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-09-09 11:03:02 EDT
Created attachment 316195 [details]
lspci -vvv

Description of problem:

Attempting to install rawhide on a IBM PowerPC system results in a failure when enabling networking.

This system has a qla3xxx adapter (not connected) which NetworkManager attempts to activate during install.

Version-Release number of selected component (if applicable):
 * kernel-2.6.27-0.314.rc5.git9.fc10.ppc64
 * anaconda-11.4.1.32-1.ppc
 * NetworkManager-0.7.0-0.11.svn4022.1.fc10

Note, this also happens if you attempt to active this qla3xxx device on releases as far back as RHEL5.  The problem now seems that NetworkManager is activating the device even when told not to.  I'm filing this issue to track a potential driver issue with the qla3xxx driver.

How reproducible:
Boot installer on IBM PowerPC system with a qla3xxx driver.

Steps to Reproduce:
1. During install (loader), select a valid NIC to enable (non qla3xxx), for example, select eth1

            +----------------+ Networking Device +----------------+
            |                                                     |
            | You have multiple network devices on this system.   |
            | Which would you like to install through?            |
            |                                                     |
            |  eth0 - Ethernet device eth0 - 00:0d:60:b9:6b:c8    |
            |  eth1 - Ethernet device eth1 - 00:11:25:7e:28:64    |
            |  eth2 - Ethernet device eth2 - 00:11:25:7e:28:65    |
            |                                                     |
            |    +----+         +----------+         +------+     |
            |    | OK |         | Identify |         | Back |     |
            |    +----+         +----------+         +------+     |
            |                                                     |
            |                                                     |
            +-----------------------------------------------------+
2. Choose dhcp and select Next

                +-------------+ Configure TCP/IP +-------------+
                |                                              |
                | [*] Enable IPv4 support                      |
                |        (*) Dynamic IP configuration (DHCP)   |
                |        ( ) Manual configuration              |
                |                                              |
                | [*] Enable IPv6 support                      |
                |        (*) Automatic neighbor discovery      |
                |        ( ) Dynamic IP configuration (DHCPv6) |
                |        ( ) Manual configuration              |
                |                                              |
                |        +----+               +------+         |
                |        | OK |               | Back |         |
                |        +----+               +------+         |
                |                                              |
                |                                              |
                +----------------------------------------------+
  
Actual results:

The system appears to try to also activate eth2 (the qla3xxx) device.

                +-------------+ Configure TCP/IP +-------------+
                |                                              |
                | [*] Enable IPv4 support                      |
                |        (*) Dynamic IP configuration (DHCP)   |
                |        ( ) Manual configuration              |
                |                                              |
           +-------------------------------------------------------+
           |                                                       |
           | qla3xxx eth2: driver lock acquired.gure eth0...       |
eth2: Phy: PHY_VITESSE_VSC8211                                     |
qla3xxx eth2: is not link master.----------------------------------+
qla3xxx eth2: is not link master.
qla3xxx eth2: Releaseing driver lock.         | Back |         |
ADDRCONF(NETDEV_UP): eth2: link is not ready  +------+         |
ADDRCONF(NETDEV_UP): eth1: link is not ready                   |
e1000: eth0: e1000_watchdog: NIC Link is Up 100 Mbps Half Duplex, Flow Control: None
ADDRCONF(NETDEV_UP): eth0: link is not ready-------------------+
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.lements  | <Space> selects | <F12> next screen
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.
qla3xxx eth2: Link is down.
qla3xxx eth2: port_link_state = LS_DOWN.

This msg goes on forever


Expected results:

1. Initialize only the device I requested (will track in a different bugzilla)
2. No qla3xxx message constantly displayed to the console

Additional info:

See attached lspci info for this system
Comment 1 Chuck Ebbert 2008-10-20 18:48:38 EDT
Reported to netdev.
Comment 3 Jesse Keating 2008-11-10 17:33:59 EST
Not a blocker, moving to Target.
Comment 4 Bill Nottingham 2008-11-11 09:53:16 EST
Did the patch for this ever get posted upstream?
Comment 5 Dave Jones 2008-11-11 10:34:38 EST
doesn't look like it.  I'll poke qlogic.
Comment 6 Bug Zapper 2008-11-25 22:00:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Chuck Ebbert 2009-03-28 09:57:41 EDT
Fixed upstream by commit 0f807044980dd51fdf9aa2df8d503d4757501b20 (2.6.28)
but not in 2.6.27-stable. Fix will be in the f10 2.6.29 kernel.
Comment 8 Bug Zapper 2009-11-18 03:22:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:22:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.